org.apache.hadoop.yarn.api.protocolrecords

## Class UpdateApplicationTimeoutsResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class UpdateApplicationTimeoutsResponse
      extends Object

  The response sent by the `ResourceManager` to the client on update application timeout.

  A response without exception means that the update has completed successfully.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateApplicationTimeoutsResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Map<ApplicationTimeoutType,String>` | `getApplicationTimeouts()` Get `ApplicationTimeouts` of the application.
    `static UpdateApplicationTimeoutsResponse` | `newInstance()`
    `abstract void` | `setApplicationTimeouts(Map<ApplicationTimeoutType,String> applicationTimeouts)` Set the `ApplicationTimeouts` for the application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateApplicationTimeoutsResponse

          public UpdateApplicationTimeoutsResponse()

  - ### Method Detail

    - #### newInstance

          public static UpdateApplicationTimeoutsResponse newInstance()

    - #### getApplicationTimeouts

          public abstract Map<ApplicationTimeoutType,String> getApplicationTimeouts()

      Get `ApplicationTimeouts` of the application. Timeout value is in ISO8601 standard with format yyyy-MM-dd'T'HH:mm:ss.SSSZ.
      Returns:
        all `ApplicationTimeouts` of the application.

    - #### setApplicationTimeouts

          public abstract void setApplicationTimeouts(Map<ApplicationTimeoutType,String> applicationTimeouts)

      Set the `ApplicationTimeouts` for the application. Timeout value is absolute. Timeout value should meet ISO8601 format. Support ISO8601 format is yyyy-MM-dd'T'HH:mm:ss.SSSZ. All pre-existing Map entries are cleared before adding the new Map.
      Parameters:
        `applicationTimeouts` - `ApplicationTimeouts`s for the application

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.